<?php 

global $wpdb;
$table_name = $wpdb->prefix . 'vtu_max_settings';

$row_exists = $wpdb->get_var("SELECT COUNT(*) FROM $table_name WHERE name = 'force_kyc'") > 0;

if (!$row_exists) {
    $wpdb->query("DROP TABLE IF EXISTS $table_name");

    $sql = "CREATE TABLE $table_name (
        id INT(11) NOT NULL AUTO_INCREMENT,
        name VARCHAR(255) NOT NULL,
        value VARCHAR(255) NOT NULL,
        PRIMARY KEY (id)
    )";

    require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
    dbDelta($sql);

    $data = array(
        array('primary_color', '#ff6700'),
        array('referral_agent_bonus', '0.00'), 
        array('referral_reseller_bonus', '0.00'), 
        array('registration_bonus', '10.00'),
        array('template_style', 'default'),
        array('bank_account_number', ''),
        array('bank_account_name', ''),
        array('phone_number', ''),
        array('whatsapp_number', ''),
        array('whatsapp_group_link', ''),
        array('facebook_page_link', ''),
        array('airtime_feature', 'true'),
        array('data_feature', 'true'),
        array('a2cash_feature', 'true'),
        array('cabletv_feature', 'true'),
        array('betting_feature', 'true'),
        array('bulksms_feature', 'true'),
        array('exampin_feature', 'true'),
        array('electricity_feature', 'true'),
        array('rechargepin_feature', 'true'),
        array('coupon_feature', 'true'),
        array('datapin_feature', 'true'),
        array('force_kyc', 'true'),
        array('enable_notifications', '1'),
        array('wallet_transfer_charges', '1.5'),
        array('default_profile_image', '' )
    );

    foreach ($data as $item) {
        $wpdb->insert($table_name, array('name' => $item[0], 'value' => $item[1]));
    }
} 


$table_name_settings = $wpdb->prefix . 'vtu_max_settings';

$settings_names = array(
    'airtime_feature',
    'data_feature',
    'electricity_feature',
    'cabletv_feature',
    'betting_feature',
    'datapin_feature',
    'a2cash_feature',
    'rechargepin_feature',
    'exampin_feature',
    'bulksms_feature',
    'coupon_feature',
    'force_kyc',
    'registration_bonus'
);

foreach ($settings_names as $setting_name) {
    $query_result = $wpdb->get_var($wpdb->prepare("SELECT value FROM $table_name_settings WHERE name = %s", $setting_name));
    update_option($setting_name, $query_result);
}



// v1.1.4

function custom_plugin_information_handler() {
    if (isset($_GET['tab']) && $_GET['tab'] === 'plugin-information' && isset($_GET['plugin']) && $_GET['plugin'] === 'vtu-max') {
        echo '<!DOCTYPE html>';
        echo '<html>';
        echo '<head>';
        echo '<meta charset="' . get_bloginfo( 'charset' ) . '">';
        echo '<meta name="viewport" content="width=device-width, initial-scale=1">';
        wp_head(); // Include WordPress styles and headers
        echo '<style>';
        echo '.plugin-info-wrapper {';
        echo '    max-width: 800px;';
        echo '    margin: 0 auto;';
        echo '}';
        echo '.plugin-info-image {';
        echo '    width: 100%;';
        echo '    height: auto;';
        echo '}';
        echo '.plugin-info-header {';
        echo '    font-size: 24px;';
        echo '    font-weight: bold;';
        echo '    margin-top: 20px;';
        echo '}';
        echo '.plugin-info-tabs {';
        echo '    margin-top: 20px;';
        echo '}';
        echo '.plugin-info-tab {';
        echo '    display: inline-block;';
        echo '    margin-right: 20px;';
        echo '}';
        echo '.plugin-info-tab a {';
        echo '    text-decoration: none;';
        echo '    color: #0067ff;';
        echo '    border: 1px solid #0067ff;';
        echo '    padding: 5px 10px;';
        echo '    border-radius: 5px;';
        echo '}';
        echo '.plugin-info-tab a:hover {';
        echo '    background-color: #0067ff;';
        echo '    color: #fff;';
        echo '}';
        echo '.plugin-info-tab-content {';
        echo '    display: none;';
        echo '}';
        echo '.plugin-info-reviews {';
        echo '    margin-top: 20px;';
        echo '}';
        echo '.review {';
        echo '    margin-bottom: 10px;';
        echo '}';
        echo '.carousel {';
        echo '    overflow: hidden;';
        echo '    max-width: 100%;';
        echo '    position: relative;';
        echo '    margin-top: 20px;';
        echo '}';
        echo '.carousel-inner {';
        echo '    display: flex;';
        echo '    transition: transform 0.5s ease;';
        echo '}';
        echo '.carousel-item {';
        echo '    min-width: 100%;';
        echo '}';
        echo '</style>';
        echo '</head>';
        echo '<body>';
        echo '<div class="plugin-info-wrapper">';
        echo '<img class="plugin-info-image" src="https://via.placeholder.com/800x400" alt="Plugin Image">';
        echo '<div class="plugin-info-header">VTU Max</div>';
        echo '<div class="plugin-info-tabs">';
        echo '<div class="plugin-info-tab"><a href="#" class="tab-link" data-tab="description">Description</a></div>';
        echo '<div class="plugin-info-tab"><a href="#" class="tab-link" data-tab="changelog">Changelog</a></div>';
        echo '<div class="plugin-info-tab"><a href="#" class="tab-link" data-tab="faq">FAQ</a></div>';
        echo '</div>';
        echo '<div class="plugin-info-tab-content" id="description" style="display: block;">';
        echo '<h3>Description</h3>';
        echo '<p>VTU Max is a powerful plugin for managing VTU services on your WordPress site. It allows you to easily integrate VTU services into your website, enabling your users to top up their mobile phones, purchase data plans, and more, directly from your site.</p>';
        echo '</div>';
        echo '<div class="plugin-info-tab-content" id="changelog">';
        echo '<h3>Changelog</h3>';
        echo '<p>No changelog available.</p>';
        echo '</div>';
        echo '<div class="plugin-info-tab-content" id="faq">';
        echo '<h3>FAQ</h3>';
        echo '<p>No frequently asked questions available.</p>';
        echo '</div>';
        echo '</div>';
        echo '<div class="carousel">';
        echo '<div class="carousel-inner">';
        echo '<div class="carousel-item"><img src="https://via.placeholder.com/800x400" alt="Plugin Image 1"></div>';
        echo '<div class="carousel-item"><img src="https://via.placeholder.com/800x400" alt="Plugin Image 2"></div>';
        echo '<div class="carousel-item"><img src="https://via.placeholder.com/800x400" alt="Plugin Image 3"></div>';
        echo '</div>';
        echo '</div>';
        echo '</div>';
        wp_footer(); // Include WordPress footer scripts
        echo '<script>';
        echo 'document.addEventListener("DOMContentLoaded", function() {';
        echo '    var tabLinks = document.querySelectorAll(".tab-link");';
        echo '    tabLinks.forEach(function(link) {';
        echo '        link.addEventListener("click", function(event) {';
        echo '            event.preventDefault();';
        echo '            var tabId = this.getAttribute("data-tab");';
        echo '            var tabContents = document.querySelectorAll(".plugin-info-tab-content");';
        echo '            tabContents.forEach(function(content) {';
        echo '                content.style.display = "none";';
        echo '            });';
        echo '            var targetContent = document.getElementById(tabId);';
        echo '            if (targetContent) {';
        echo '                targetContent.style.display = "block";';
        echo '            }';
        echo '        });';
        echo '    });';
        echo '});';
        echo '</script>';
        echo '</body>';
        echo '</html>';
        exit;
    }
}
add_action('admin_init', 'custom_plugin_information_handler');