<?php

/**
 * Fired during plugin deactivation
 *
 * @link       https://author.vtumax.com.ng
 * @since      1.0.0
 *
 * @package    Vtu_Max
 * @subpackage Vtu_Max/includes
 */

/**
 * Fired during plugin deactivation.
 *
 * This class defines all code necessary to run during the plugin's deactivation.
 *
 * @since      1.0.0
 * @package    Vtu_Max
 * @subpackage Vtu_Max/includes
 * @author     Ani Anthony <author@vtumax.com.ng>
 */
class Vtu_Max_Deactivator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function deactivate() {
    self::remove_extra_roles();
	}

private static function remove_extra_roles() {
   remove_role('customer');
   remove_role('reseller');
   remove_role('agent');
   remove_role('api_user');
    }

}
