<?php
class MonnifyInitialize {
    private $authenticated = false;

    public function __construct() {
        add_action('init', array($this, 'monnify_kyc'));

        
        if (!$this->authenticated) {
            add_action('init', array($this, 'authenticate_monnify'));
        }
    }

    public function authenticate_monnify() {
        global $wpdb;

        $token_key = $wpdb->get_var("SELECT value FROM {$wpdb->prefix}vtu_max_apiconfigs WHERE name = 'monify_token'");
        $secret_key = $wpdb->get_var("SELECT value FROM {$wpdb->prefix}vtu_max_apiconfigs WHERE name = 'monify_secret'");

        $API_Key = $token_key;
        $Secret_Key = $secret_key;

        $ch = curl_init();

        $headers = array(
            'Content-Type:application/json',
            'Authorization: Basic '. base64_encode($API_Key . ":" . $Secret_Key)
        );

        curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
        curl_setopt($ch, CURLOPT_URL, "https://api.monnify.com/api/v1/auth/login");
        curl_setopt($ch, CURLOPT_POST, 1);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

        $output = curl_exec($ch);
        $http_status = curl_getinfo($ch, CURLINFO_HTTP_CODE);

        if ($http_status !== 200) {
            $error_message = " VTUmax Monnify authentication failed with HTTP status code: {$http_status}, Your Monnify secret and public keys are incorrect or not set up properly; contact us @ +2348074195479 if you still encounter this issue";
            add_action('admin_notices', function() use ($error_message) {
                echo '<div class="error"><p>' . esc_html($error_message) . '</p></div>';
            });
        } else {
            $json = json_decode($output, true);
            $GLOBALS['monnifyAccessToken'] = $json['responseBody']['accessToken'];
            add_action('admin_notices', function() {
                echo '<div class="updated"><p>Monnify authentication successful.</p></div>';
            });

            // Set authenticated to true to prevent further execution
            $this->authenticated = true;
        }

        curl_close($ch);
    }

    public function monnify_kyc() {
        global $wpdb;

        $table_name = $wpdb->prefix . 'vtu_max_mfy_kyc';
        $sql = "CREATE TABLE IF NOT EXISTS $table_name (
            `id` INT NOT NULL AUTO_INCREMENT PRIMARY KEY,
            `user_id` INT NOT NULL,
            `kyc_tier` VARCHAR(255),
            `mfy_ref` VARCHAR(255),
            `NIN` VARCHAR(255),
            `BVN` VARCHAR(255),
            `date` TIMESTAMP DEFAULT CURRENT_TIMESTAMP
        ) ENGINE=InnoDB;";

        require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
        dbDelta($sql);
    }
}

// Instantiate the MonnifyInitialize class
$monnify_instance = new MonnifyInitialize();