<?php
class MonnifyPayments {
    private $monnifyAccessToken;

    public function __construct($accessToken) {
        $this->monnifyAccessToken = $accessToken;
    }

   public function max_mfy_aza($acct_ref, $acct_name, $customer_email, $customer_name, $bvn = '') {
     
    global $wpdb;
    $contract_code = $wpdb->get_var("SELECT value FROM {$wpdb->prefix}vtu_max_apiconfigs WHERE name = 'monify_contract'");

    if (empty($this->monnifyAccessToken)) {
        error_log("Monnify Access Token is not available.");
        return false;
    }
    $postData = array(
    "accountReference" => $acct_ref,
    "accountName" => $acct_name,
    "currencyCode" => "NGN",
    "contractCode" => $contract_code,
    "customerEmail" => $customer_email,
    "bvn" => $bvn,
    "customerName" => $customer_name,
    "getAllAvailableBanks" => true
);
    

    $handler = curl_init();
    $headers[] = 'Authorization: bearer ' . $this->monnifyAccessToken;
    $headers[] = 'Content-Type: application/json';

    curl_setopt($handler, CURLOPT_URL, "https://api.monnify.com/api/v2/bank-transfer/reserved-accounts");
    curl_setopt($handler, CURLOPT_POSTFIELDS, json_encode($postData));
    curl_setopt($handler, CURLOPT_HTTPHEADER, $headers);
    curl_setopt($handler, CURLOPT_POST, true);
    curl_setopt($handler, CURLOPT_RETURNTRANSFER, true);

    $response = curl_exec($handler);

    if ($response !== false) {
        curl_close($handler);
        return $response;
    } else {
        $error_message = "Could not get a response from Monnify Aza. Error: " . curl_error($handler);
        error_log($error_message);
        curl_close($handler);
        return false;
    }
}
}