<?php

class payvesselPayments {

    private $pv_key;
    private $pv_secret;
    private $pv_business;

    public function __construct() {
        $this->pv_key = $GLOBALS['pv_key'];
        $this->pv_secret = $GLOBALS['pv_secret'];
        $this->pv_business = $GLOBALS['pv_business'];
    }

    public function create_reserved_account() {
        $current_user = $this->get_current_user();
        $pv_account = get_user_meta($current_user->ID, 'pv_account', true);
        if (empty($pv_account)) {
            $post_data = array(
                "email" => $current_user->user_email,
                "name" => $current_user->first_name . ' ' . $current_user->last_name,
                "phoneNumber" => get_user_meta($current_user->ID, 'phone', true),
                "bankcode" => ["120001"],
                "account_type" => "STATIC",
                "businessid" => $this->pv_business,
                "bvn" => ""
            );
            $response = $this->send_request($post_data);
            if ($response && isset($response['status']) && $response['status']) {
                $account_info = $response['banks'][0];
                $account_number = $account_info['accountNumber'];
                $tracking_reference = $account_info['trackingReference'];
                update_user_meta($current_user->ID, 'pv_account', $account_number);
                update_user_meta($current_user->ID, 'pv_ref', $tracking_reference);
            }
        }
    }

    private function get_current_user() {
        $current_user = wp_get_current_user();
        return $current_user;
    }

    private function send_request($post_data) {
        $url = "https://api.payvessel.com/api/external/request/customerReservedAccount/";
        $headers = array(
            'api-key: ' . $this->pv_key,
            'api-secret: Bearer ' . $this->pv_secret,
            'Content-Type: application/json'
        );
        $handler = curl_init();
        curl_setopt($handler, CURLOPT_URL, $url);
        curl_setopt($handler, CURLOPT_POST, true);
        curl_setopt($handler, CURLOPT_POSTFIELDS, json_encode($post_data));
        curl_setopt($handler, CURLOPT_HTTPHEADER, $headers);
        curl_setopt($handler, CURLOPT_RETURNTRANSFER, true);
        $response = curl_exec($handler);
        curl_close($handler);
        if ($response) {
            return json_decode($response, true);
        } else {
            return false;
        }
    }
}