<?php
/* 
*
*/ 
class VpayInitialize {
  
  public $baseurl;
  
  public $access_token;
  
  public $is_active; 
  
  public $vp_charges;
  
  public $public_key;
  
  public $api_table; 
  
  public $wpdb; 
  
  public function __construct() {
    global $wpdb;
    $this->wpdb = $wpdb;
    $this->api_table = "{$wpdb->prefix}vtu_max_apiconfigs"; 
    $this->baseurl = "";
    $this->upgrade();
    $this->user_config(); 
    $this->validate_access(); 
    
  //  add_action('admin_notices', array($this, 'register_notice_vpay'));
  }
  
  public function upgrade(){ 
    global $wpdb; 
    $query = "SELECT * FROM {$this->api_table} WHERE name = 'vpay_public_key'";
    $upgrade_status = $this->wpdb->get_results($query); 
    if($upgrade_status) {
     // error_log($upgrade_status);
    }
     $query = "UPDATE {$this->api_table} 
          SET name = CASE 
                        WHEN name = 'pv_charges' THEN 'vpay_charges' 
                        WHEN name = 'pv_token' THEN 'vpay_public_key' 
                        WHEN name = 'pv_status' THEN 'vpay_status' 
                        ELSE name 
                      END"; 
     require_once(ABSPATH . 'wp-admin/includes/upgrade.php'); 
     dbDelta($query); 
     
     
     
  }
  
  public function user_config(){
    $query = "SELECT * FROM {$this->api_table} WHERE name LIKE '%vpay%'";
    $vpay_config = $this->wpdb->get_results($query); 
   foreach ($vpay_config as $config){
    $config->name; 
    switch($config->name){ 
      case "vpay_charges":
       $this->vp_charges = $config->value;
      break;
      case "vpay_public_key":
       $this->public_key = $config->value;
      break;
      case "vpay_status":
        $this->is_active = $config->value;
      break;
      default:
       error_log($config->name);
    }
   } 
  } 
  
  public function validate_access(){ 
    session_start(); 
    if(isset($_SESSION['access_token'])){
    $this->access_token = $_SESSION['access_token']; 
    }
    session_write_close(); 
    
  } 
}
$vpay = new VpayInitialize();