<?php
if (!current_user_can('manage_options')) {
    wp_die('You do not have sufficient permissions to access this page.');
}

global $wpdb;
$table_name = $wpdb->prefix . 'vtu_max_apiconfigs';

$query = "SELECT * FROM $table_name";
$data = $wpdb->get_results($query, ARRAY_A);

$tabs = array(
    'PaymentsSettings' => range(1, 14),
    'Airtime' => range(15, 30),
    'Data' => range(31, 54),
    'CableTV' => range(55, 58),
    'Electricity' => range(59, 62),
    'Exam' => range(63, 64),
    'RechargePin' => range(65, 66),
    'WalletAPI' => range(67, 75),
    'Datapin' => range(76, 77)
);

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    foreach ($_POST as $name => $value) {
        $sanitized_value = sanitize_text_field($value);

        $sanitized_value = ($sanitized_value === 'on') ? true : (($sanitized_value === 'off') ? false : $sanitized_value);

        $wpdb->update(
            $table_name,
            array('value' => $sanitized_value),
            array('name' => $name)
        );
    }
    echo '<div>Data updated successfully!</div>';
}
?>


    <style>

        h2 {
            color: #333;
        }



        label {
            display: block;
            margin-bottom: 10px;
        }

        input {
            width: 100%;
            padding: 10px;
            margin-bottom: 20px;
            box-sizing: border-box;
        }

        input[type="submit"] {
            background-color: #4CAF50;
            color: #fff;
            border: none;
            padding: 10px 20px;
            cursor: pointer;
            border-radius: 5px;
        }

        input[type="submit"]:hover {
            background-color: #45a049;
        }
        .tab {
            display: none;
            padding: 20px;
            background-color: #fff;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
            border-radius: 5px;
  }

        h3 {
            color: #333;
  }
       button {
             background-color: #4CAF50;
    color: #fff;
    border: none;
    padding: 10px 20px;
    margin: 5px;
    cursor: pointer;
    border-radius: 5px;
  }

  button:hover {
    background-color: #ff6700;
  }
        
    </style>
</head>
<body>
<br>
<br>
<h2>Api Configurations</h2>

<div>
    <?php foreach ($tabs as $tab_id => $tab_range): ?>
        <button onclick="openTab('<?php echo $tab_id; ?>')"><?php echo str_replace('_', ' ', $tab_id); ?></button>
    <?php endforeach; ?>
</div>
<p> This page allows you to configure your Api details, <br>
<span class="text-warning">Things to Note</span><br>
 * True means 'enabled' or 'active' <br>
 * False means 'disabled' or 'inactive'<br>
 ensure to use true or false to setup your configuration properly<br>
 Visit our Documentation for futher info </p>
<form method="post">
    <?php foreach ($tabs as $tab_id => $tab_range): ?>
        <div id="<?php echo $tab_id; ?>" class="tab">
            <h3><?php echo str_replace('_', ' ', $tab_id); ?></h3>
            <?php foreach ($data as $row): ?>
                <?php if (in_array($row['id'], $tab_range)): ?>
                    <label for="<?php echo esc_attr($row['name']); ?>"><?php echo esc_html(ucfirst(str_replace('_', ' ', $row['name']))); ?>:</label>
                    <?php
                    $displayed_value = ($row['value'] === true) ? 'on' : (($row['value'] === false) ? 'off' : $row['value']);
                    ?>
                    <input type="text" id="<?php echo esc_attr($row['name']); ?>" name="<?php echo esc_attr($row['name']); ?>" value="<?php echo esc_attr($displayed_value); ?>"><br>
                <?php endif; ?>
            <?php endforeach; ?>
        </div>
    <?php endforeach; ?>

    <input type="submit" value="Update Settings">
</form>
<script>
    function openTab(tabName) {
        var i, tabs;
        tabs = document.getElementsByClassName("tab");
        for (i = 0; i < tabs.length; i++) {
            tabs[i].style.display = "none";
        }
        document.getElementById(tabName).style.display = "block";
    }
</script>


</body>
</html>


