<?php

function display_notifications_table() {
    global $wpdb;
    $table_name = $wpdb->prefix . 'vtu_max_notifications';
    $notifications = $wpdb->get_results("SELECT * FROM $table_name", ARRAY_A);
    echo '<br><br><a href="#" class="button-primary" id="create-notification-btn">Create Notifications</a>';
    if (!empty($notifications)) {
        echo '<table class="wp-list-table widefat fixed striped">';
        echo '<thead><tr><th>Title</th><th>Message</th><th>Status</th><th>Action</th></tr></thead><tbody>';
        foreach ($notifications as $notification) {
            echo '<tr>';
            echo '<td>' . esc_html($notification['title']) . '</td>';
            echo '<td>' . esc_html($notification['message']) . '</td>';
            echo '<td>' . esc_html($notification['status']) . '</td>';
            echo '<td><a href="#" class="delete-notification" data-id="' . esc_attr($notification['id']) . '"><span class="dashicons dashicons-trash"></span></a></td>';
            echo '</tr>';
        }
        echo '</tbody></table>';
    } else {
        echo '<p>No notifications found.</p>';
    }
}

display_notifications_table();

if ($_SERVER["REQUEST_METHOD"] == "POST" && isset($_POST['title']) && isset($_POST['message']) && isset($_POST['status'])) {
    global $wpdb;
    $table_name = $wpdb->prefix . 'vtu_max_notifications';
    $title = sanitize_text_field($_POST['title']);
    $message = sanitize_textarea_field($_POST['message']);
    $status = sanitize_text_field($_POST['status']);
    $wpdb->insert(
        $table_name,
        array(
            'notificationfor' => 1,
            'title' => $title,
            'message' => $message,
            'status' => $status,
            'date' => current_time('mysql'),
        ),
        array('%d', '%s', '%s', '%s', '%s')
    );
    echo '<div class="notice notice-success is-dismissible"><p>Notification added successfully!</p></div>';
}

if (isset($_GET['delete'])) {
    global $wpdb;
    $table_name = $wpdb->prefix . 'vtu_max_notifications';
    $notification_id = intval($_GET['delete']);
    $wpdb->delete($table_name, array('id' => $notification_id), array('%d'));
    echo '<script>window.location.href = "' . remove_query_arg(array('delete'), $_SERVER['REQUEST_URI']) . '";</script>';
}

?>

<div id="create-notification-form" style="display:none; margin-top:20px;">
    <h2>Create New Notification</h2>
    <form method="post" action="">
        <label for="title">Title:</label><br>
        <input type="text" name="title" required><br>
        <label for="message">Message:</label><br>
        <textarea name="message" required></textarea><br>
        <label for="status">Status:</label><br>
        <select name="status" required>
            <option value="true">Enable</option>
            <option value="false">Disable</option>
        </select><br>
        <input type="submit" class="button-primary" value="Add Notification">
    </form>
</div>

<script>
    document.addEventListener('DOMContentLoaded', function () {
        document.getElementById('create-notification-btn').addEventListener('click', function (e) {
            e.preventDefault();
            document.getElementById('create-notification-form').style.display = 'block';
        });

        document.querySelectorAll('.delete-notification').forEach(function (deleteBtn) {
            deleteBtn.addEventListener('click', function (event) {
                event.preventDefault();
                var notificationId = this.getAttribute('data-id');
                var confirmation = confirm('Are you sure you want to delete this notification?');
                if (confirmation) {
                    window.location.href = window.location.href.split('?')[0] + '?delete=' + notificationId;
                }
            });
        });
    });
</script>

