<?php

function display_notifications_table() {
    global $wpdb;
    $table_name = $wpdb->prefix . 'vtu_max_transactions';
    $transactions = $wpdb->get_results("SELECT * FROM $table_name", ARRAY_A);
    echo '<br><br><h4>Transaction History </h4><br>';
    if (!empty($transactions)) {
        echo '<table class="wp-list-table widefat fixed striped">';
        echo '<thead><tr><th>UserId</th><th>Biller</th><th>Description</th><th>Ref</th><th>Amount</th><th>Status</th><th>Action</th></tr></thead><tbody>';
        foreach ($transactions as $transaction) {
            echo '<tr>';
            echo '<td>' . esc_html($transaction['user_id']) . '</td>';
            echo '<td>' . esc_html($transaction['biller']) . '</td>';
            echo '<td>' . esc_html($transaction['description']) . '</td>';
            echo '<td>' . esc_html($transaction['ref']) . '</td>';
            echo '<td>' . esc_html($transaction['amount']) . '</td>';echo '<td class="';

            if (esc_html($transaction['status']) === 'success') {
                echo 'text-success';
            } elseif (esc_html($transaction['status']) === 'pending' || esc_html($transaction['status']) === 'processing') {
                echo 'text-warning';
            } else {
                echo 'text-danger';
            }

          echo '">' . esc_html($transaction['status']) . '</td>';
          echo '<td><a href="#" class="delete-notification" data-id="' . esc_attr($transaction['id']) . '"><span class="dashicons dashicons-trash"></span></a></td>';
          echo '</tr>';
              
          }
        echo '</tbody></table>';
    } else {
        echo '<p>No notifications found.</p>';
    }
}

display_notifications_table();

if ($_SERVER["REQUEST_METHOD"] == "POST" && isset($_POST['title']) && isset($_POST['message']) && isset($_POST['status'])) {
    global $wpdb;
    $table_name = $wpdb->prefix . 'vtu_max_notifications';
    $title = sanitize_text_field($_POST['title']);
    $message = sanitize_textarea_field($_POST['message']);
    $status = sanitize_text_field($_POST['status']);
    $wpdb->insert(
        $table_name,
        array(
            'notificationfor' => 1,
            'title' => $title,
            'message' => $message,
            'status' => $status,
            'date' => current_time('mysql'),
        ),
        array('%d', '%s', '%s', '%s', '%s')
    );
    echo '<div class="notice notice-success is-dismissible"><p>Notification added successfully!</p></div>';
}

if (isset($_GET['delete'])) {
    global $wpdb;
    $table_name = $wpdb->prefix . 'vtu_max_notifications';
    $notification_id = intval($_GET['delete']);
    $wpdb->delete($table_name, array('id' => $notification_id), array('%d'));
    echo '<script>window.location.href = "' . remove_query_arg(array('delete'), $_SERVER['REQUEST_URI']) . '";</script>';
}

?>



<script>

        document.querySelectorAll('.delete-notification').forEach(function (deleteBtn) {
            deleteBtn.addEventListener('click', function (event) {
                event.preventDefault();
                var notificationId = this.getAttribute('data-id');
                var confirmation = confirm('Are you sure you want to delete this notification?');
                if (confirmation) {
                    window.location.href = window.location.href.split('?')[0] + '?delete=' + notificationId;
                }
            });
        });
    });
</script>

