
<style>
  .custom-section {
    padding: 20px;
    background-color: #fff;
  }
  .custom-column {
    background-color: #ff6700; 
    padding: 15px;
    border: 1px solid #fff;
    color: #fff; 
    border-radius: 6px;
    font-weight: 600;
    
  }
   .column {
      text-align: center;
      padding: 20px;
      border: 1px solid #ddd;
      margin: 10px;
      border-radius: 10px;
    }
    .xr {
        color: #fff;
        font-size: 17px;
        font-weight: 550;
    }
    
    
    .balance {
        font-size: 21px;
    }
    .fw-x {
        font-weight: 600;
        font-size: 23px;
    }
    .st {
        color: #fff;
    }
</style>

<?php
function getWalletBalance($wallet) {
    global $wpdb;
    $table_name = $wpdb->prefix . 'vtu_max_apiconfigs';
    $api_token_result = $wpdb->get_row("SELECT * FROM $table_name WHERE name = '{$wallet}_token'");
    $api_token = $api_token_result ? $api_token_result->value : '';
    $host_user_url_result = $wpdb->get_row("SELECT * FROM $table_name WHERE name = '{$wallet}_provider'");
    $host_user_url = $host_user_url_result ? $host_user_url_result->value : '';
    $provider_name_result = $wpdb->get_row("SELECT * FROM $table_name WHERE name = '{$wallet}_provider_name'");
    $provider_name = $provider_name_result ? $provider_name_result->value : '';

    if ($host_user_url && $api_token) {
        $response = performCurlRequest($host_user_url, $api_token);

        if ($response) {
            if (isset($response->detail) && $response->detail === 'Authentication credentials were not provided.') {
                echo "Authentication failed. Check your API key.";
            } else {
                $wallet_balance = isset($response->user->wallet_balance) ? $response->user->wallet_balance : 0;

                return array('provider' => $provider_name, 'balance' => $wallet_balance);
            }
        } else {
            echo "cURL request failed or no response received.";
        }
    } else {
        echo "API Token or Host User URL not found.";
    }
}


function performCurlRequest($url, $api_token) {
    $ch = curl_init($url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_HTTPHEADER, array(
        "Authorization: Token $api_token",
        "Content-Type: application/json",
    ));

    $response_json = curl_exec($ch);

    curl_close($ch);

    $response = json_decode($response_json);

    return $response;
}
?>

<div class="container my-5">
    <p class="fw-x">API Wallet Balance</p>
    <div class="row custom-section">

        <?php
        $wallets = array('wallet_one', 'wallet_two', 'wallet_three'); // Modify with actual wallet names

        foreach ($wallets as $wallet) {
            $wallet_data = getWalletBalance($wallet);

            echo '<div class="col-md-4 custom-column">';
            echo '<h4 class="xr">' . $wallet_data['provider'] . '</h4>';
            echo '<p class="balance">₦' . number_format($wallet_data['balance'], 2) . '</p>';
            echo '</div><br>';
        }
        ?>

    </div>
</div>

<script>
document.addEventListener("DOMContentLoaded", function() {
    var wallets = <?php echo json_encode($wallets); ?>;
    wallets.forEach(function(wallet) {
        fetchWalletBalance(wallet);
    });
});

function fetchWalletBalance(wallet) {
    var xhr = new XMLHttpRequest();
    xhr.open("GET", "<?php echo admin_url('admin-ajax.php'); ?>?action=get_wallet_balance&wallet=" + wallet, true);

    xhr.onreadystatechange = function() {
        if (xhr.readyState == 4 && xhr.status == 200) {
            var response = JSON.parse(xhr.responseText);
            var providerElement = document.querySelector(".xr:contains('" + response.provider + "')");
            var balanceElement = providerElement.nextElementSibling.querySelector(".balance");
            balanceElement.innerHTML = "₦" + response.balance.toFixed(2);
        }
    };

    xhr.send();
}
</script>

<?php
add_action('wp_ajax_get_wallet_balance', 'get_wallet_balance');
add_action('wp_ajax_nopriv_get_wallet_balance', 'get_wallet_balance');

function get_wallet_balance() {
    $wallet = $_GET['wallet'];
    $wallet_data = getWalletBalance($wallet);
    wp_send_json($wallet_data);
    wp_die();
}

global $wpdb;
$total_users = count_users();
$total_users_count = $total_users['total_users'];
$reseller_users_count = $wpdb->get_var("SELECT COUNT(*) FROM {$wpdb->prefix}usermeta WHERE meta_key = '{$wpdb->prefix}capabilities' AND meta_value LIKE '%reseller%'");
$agent_users_count = $wpdb->get_var("SELECT COUNT(*) FROM {$wpdb->prefix}usermeta WHERE meta_key = '{$wpdb->prefix}capabilities' AND meta_value LIKE '%agent%'");
$referred_users_count = $wpdb->get_var("SELECT COUNT(*) FROM {$wpdb->usermeta} WHERE meta_key = 'refferedBy'");
$table_name = $wpdb->prefix . 'vtu_max_transactions';
$successful_transactions_count = $wpdb->get_var("SELECT COUNT(*) FROM $table_name WHERE status = 'success' AND biller NOT IN ('Paystack', 'Monnify')");
$total_profits = $wpdb->get_var("SELECT SUM(profits) FROM $table_name WHERE status = 'success'");
preg_match_all("/\b(\d+)\s*(?:GB)\b/i", $wpdb->get_var("SELECT GROUP_CONCAT(description) FROM $table_name WHERE status = 'success' AND (description LIKE '%Data%' OR description LIKE '%data%' || '%Data%')"), $matches);
$total_data_sold = array_sum(array_map('intval', $matches[1]));
preg_match_all("/Airtime purchase of ₦(\d+)/i", $wpdb->get_var("SELECT GROUP_CONCAT(description) FROM $table_name WHERE status = 'success' AND description LIKE '%Airtime%'"), $matches);
$total_airtime_sold = array_sum(array_map('intval', $matches[1]));
echo '<div class="container">';
echo '<p class="fw-x">General Statistics</p>';
echo '<div class="row">';
echo '<div class="col-md-3 col-sm-6">';
echo '<div class="column" style="background-color: #772f1a; background-image: linear-gradient(315deg, #772f1a 0%, #f2a65a 74%);">';
echo "<h4 class='xr'>Resellers</h4>";
echo "<p class='balance st'>$reseller_users_count</p>";
echo '</div></div>';
echo '<div class="col-md-3 col-sm-6">';
echo '<div class="column" style="background-color: #f06543; background-image: linear-gradient(315deg, #f06543 0%, #ffbe3d 74%);">';
echo "<h4 class='xr'>Agents</h4>";
echo "<p class='balance st'>$agent_users_count</p>";
echo '</div></div>';
echo '<div class="col-md-3 col-sm-6">';
echo '<div class="column" style="background-color: #d7d7d7; background-image: linear-gradient(147deg, #d7d7d7 0%, #353535 74%);">';
echo "<h4 class='xr'>Users</h4>";
echo "<p class='balance st'>$total_users_count</p>";
echo '</div></div>';
echo '<div class="col-md-3 col-sm-6">';
echo '<div class="column" style="background-color: #6247aa; background-image: linear-gradient(316deg, #6247aa 0%, #a594f9 74%);">';
echo "<h4 class='xr'>Referred User</h4>";
echo "<p class='balance st'>$referred_users_count</p>";
echo '</div></div>';
echo '<div class="col-md-6 col-sm-6">';
echo '<div class="column" style="background: radial-gradient(circle at center, rgb(255, 124, 0) 0%, rgb(255, 124, 0) 20%, rgb(255, 163, 77) 20%, rgb(255, 163, 77) 40%, rgb(19, 30, 37) 40%, rgb(19, 30, 37) 60%, rgb(0, 0, 0) 60%);">';
echo "<h4 class='xr'>Total Sales</h4>";
echo "<p class='balance st'>$successful_transactions_count</p>";
echo '</div></div>';
echo '<div class="col-md-6 col-sm-6">';
echo '<div class="column" style="background: radial-gradient(circle at center, rgb(255, 124, 0) 0%, rgb(255, 124, 0) 20%, rgb(255, 163, 77) 20%, rgb(255, 163, 77) 40%, rgb(19, 30, 37) 40%, rgb(19, 30, 37) 60%, rgb(0, 0, 0) 60%);">';
echo "<h4 class='xr'>Total Profits</h4>";
echo "<p class='balance st'>₦" . number_format($total_profits, 2) . "</p>";
echo '</div></div>';
echo '<div class="col-md-6 col-sm-6">';
echo '<div class="column" style="background: radial-gradient(circle at center, rgb(255, 124, 0) 0%, rgb(255, 124, 0) 20%, rgb(255, 163, 77) 20%, rgb(255, 163, 77) 40%, rgb(19, 30, 37) 40%, rgb(19, 30, 37) 60%, rgb(0, 0, 0) 60%);">';
echo "<h4 class='xr'>Data Sold</h4>";
echo "<p class='balance st'>$total_data_sold GB</p>";
echo '</div></div>';
echo '<div class="col-md-6 col-sm-6">';
echo '<div class="column" style="background: radial-gradient(circle at center, rgb(255, 124, 0) 0%, rgb(255, 124, 0) 20%, rgb(255, 163, 77) 20%, rgb(255, 163, 77) 40%, rgb(19, 30, 37) 40%, rgb(19, 30, 37) 60%, rgb(0, 0, 0) 60%);">';
echo "<h4 class='xr'>Airtime Sold</h4>";
echo "<p class='balance st'>₦$total_airtime_sold</p>";
echo '</div></div>';
echo '</div></div>';


?>


