<?php
$vtu_max_header_template = plugin_dir_path( __FILE__ ) . 'template-vtu-max-header.php';
require $vtu_max_header_template;
$vtu_max_logo = get_custom_logo();

   
?>

 <div class="nk-app-root ">
        <main class="nk-pages">
            <div class="min-vh-100 d-flex flex-column has-mask">
                <div class="nk-mask bg-pattern-dot bg-blend-around"></div>
                <div class="text-center mt-6 mb-4">
                 
                       <div class="logo-link"> <div class="logo-wrap" >
                          <?php
$custom_logo_id = get_theme_mod('custom_logo');
$logo_url = wp_get_attachment_image_url($custom_logo_id, 'full');

if ($logo_url) {
    echo '<img src="' . esc_url($logo_url) . '" alt="' . get_bloginfo('name') . '">';
} else {

}
?>
                        </div>
                    </div>
                </div>
                <div class="my-auto mt-0">
    <div class="container px-1">
        <div class="row g-gs justify-content-center">
            <div class="col-md-7 col-lg-6 col-xl-5">
                
                    <div class="card-body px-3">
                        <h4 class="mb-3">Welcome Back</h4>
                        <p class="fs-12">Hello there, sign in to continue</p>
                        <form method="POST" id="loginForm">
                            <div class="row g-4">
                                <div class="col-12">
                                    <div class="form-group">
                                        <div class="form-control-wrap">
                                            <input type="text" id="username" name="username" value="" class="form-control form-control-lg" placeholder="Enter Username">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-12">
                                    <div class="form-group">
                                        
                                        <div class="form-control-wrap">
                                            <a href="javascript:void(0)" class="form-control-icon end toggle-password" title="Toggle show/hide password">
                                                <em class="on icon ri-eye-line text-basee"></em>
                                            </a>
                                            <input type="password" name="password" id="toggle-password" class="form-control form-control-lg" placeholder="Enter Password">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-12">
                                    <div class="d-flex flex-wrap justify-content-between has-gap g-3">
                                        <a href="forgot" class="small fs-12 text-primary">Forgot Password?</a>
                                    </div>
                                </div>
                                
                 <?php wp_nonce_field('vtu_max_auth_login_nonce', 'security'); ?>
               
                                <div class="col-12">
                                    <div class="form-group"> <button class="btn btn-primary btn-lg btn-block " type="button" id="login-button">Login now</button></div>                               </div>
                                <div class="col-12 text-center">
                                   
                                    <p class="mt-4 fs-25">Don't have an account?  <a class="text-primary" href="register">Register</a></p>
                                </div>
                            </div>
                        </form>
                    </div>
                    
                </div>
            </div>
        </div>
    </div>
</div>


<script>
document.addEventListener('DOMContentLoaded', function() {
  const togglePassword = document.querySelector('.toggle-password');
  const passwordField = document.querySelector('#toggle-password');

  togglePassword.addEventListener('click', function() {
    const type = passwordField.getAttribute('type') === 'password' ? 'text' : 'password';
    passwordField.setAttribute('type', type);

    const eyeIcon = togglePassword.querySelector('.ri-eye-line');
    eyeIcon.classList.toggle('on');
    eyeIcon.classList.toggle('ri-eye-off-line');
  });
});
</script>

</body>
</html>