<?php

class CustomThemeStyles {

    private static function remove_unwanted_styles_and_scripts() {
       
        $current_theme = wp_get_theme();

        $registered_styles = wp_styles();
        $registered_scripts = wp_scripts();

        foreach ($registered_styles->registered as $handle => $data) {
  
            if (strpos($data->src, $current_theme->get_stylesheet_directory_uri()) !== false) {
                 wp_deregister_style($handle);
            }
        }

        foreach ($registered_scripts->registered as $handle => $data) {
          
            if (strpos($data->src, $current_theme->get_stylesheet_directory_uri()) !== false || strpos($data->src, '/wp-content/plugins/') !== false) {
                 wp_deregister_script($handle);
            }
        }
    }

    
}

function remove_theme_default_fonts() {
    wp_dequeue_style('wp-fonts-local');
}

add_action('wp_print_styles', 'remove_theme_default_fonts', 100);


?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
    <meta charset="<?php bloginfo('charset'); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?php wp_head(); ?>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/remixicon/fonts/remixicon.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@mdi/font@5.x.x/css/materialdesignicons.min.css"/>
    <style>
        @import url('https://fonts.googleapis.com/css2?family=Mitr:wght@1;100;200;300;400;500;600;700;800;900;1000&display=swap');

    body, h1, h2, h3, h4, h5, h6, span, button {

        font-family: Mitr, sans-serif !important;

    }

        .iconbox-container {
            display: flex;
            justify-content: space-around;
            align-items: center;
            position: relative;
            top: 35px;
        }

        .iconbox {
            text-align: center;
            display: flex;
            flex-direction: column;
            align-items: center;
            height: 45px;
            width: 45px;
            background: white;
            border-radius: 50px;
        }

        .iconbox i {
            font-size: 24px;
            color: #ff6700;
            position: relative;
            top: 5px;
        }

        strong {
            position: relative;
            top: 10px;
            color: #555555;
            font-size: 14px;
        }

        .blur {
            background: white;
            position: relative;
            top: 80px;
        }

        .ix {
            position: relative;
            top: -7px;
        }
    </style>

</head>
<?php $plugin_dir = dirname(__FILE__) . '/../';

$plugin_file_path = $plugin_dir . 'plugin.php';

require_once $plugin_file_path; ?>
<body <?php body_class(); ?>>