<?php
$current_user_id = get_current_user_id();
$vtu_max_header_template = plugin_dir_path(__FILE__) . 'template-vtu-max-header.php';
require $vtu_max_header_template;
$basecdnurl = base64_decode('aHR0cHM6Ly9jZG4udnR1bWF4LmNvbS8=');
$wallet_balance = get_user_meta($current_user_id, 'wallet_balance', true);
$vtu_max_username = get_user_meta($current_user_id, 'nickname', true);
$vtu_max_user_avatar = get_avatar_url($current_user_id);

if ($wallet_balance !== '') {
    $vtu_max_wallet_balance = number_format($wallet_balance, 2);
}
?>
<?php
function get_all_providers_data() {
    global $wpdb;
    $table_name = $wpdb->prefix . 'vtu_max_exam_id';
    $providers_data = $wpdb->get_results("SELECT * FROM $table_name", ARRAY_A);
    return $providers_data;
}

$current_user = wp_get_current_user();
$user_role = in_array('reseller', $current_user->roles) ? 'reseller' : (in_array('agent', $current_user->roles) ? 'agent' : 'customer');

$providers_data = get_all_providers_data();

$providers_prices = array();

foreach ($providers_data as $provider) {
    $price_key = '';

    if ($user_role === 'reseller') {
        $price_key = 'reseller_price';
    } elseif ($user_role === 'agent') {
        $price_key = 'agent_price';
    } else {
        $price_key = 'customer_price';
    }

    $providers_prices[$provider['provider']] = array('price' => $provider[$price_key]);
}

?>


<div id="layout-wrapper">
        <header id="page-topbar" style="top: 0 !important">
            <div class="layout-width">
                <div class="navbar-header d-flex justify-content-start">
                    <a href="javascript:window.history.back()">
                    <div class="d-flex">
                        <button type="button" class="btn btn-sm px-3 fs-16 header-item vertical-menu-btn topnav-hamburger" id="ctopnav-hamburger-icon">
                            <i class="ri-arrow-left-line"></i>
                        </button>
                    </div>
                    </a>
                    <p class="mt-3">Educational Pins</p>
                </div>
            </div>
        </header>
        
        
<input id="notificationItemsTabContent" type="hidden">

<div class="main-content">
   
    <div class="page-content">
        <div class="container-fluid px-0 mt-3">

            <div class="row">
                <div class="col-lg-6">
                    <div class="card">
                        <div class="card-header">
                            <h6 class="card-title mb-0">Buy Epins</h6>
                        </div>
                        <div class="card-body">
                          
                            <form class="row gy-4" id="airtime" method="POST">
                                <div class="col-12 mt-3">
                                    <div class="mt-3">
                                        <select class="form-select" id="data-attr" data-id="custom-input">
                                            <option selected value="none" data-src="<?= $basecdnurl ?>images/waec.png">Select Provider</option>
                                            <option value="WAEC" data-src="<?= $basecdnurl ?>images/waec.png">Waec</option>
                                            <option value="NECO" data-src="<?= $basecdnurl ?>images/neco.png">Neco</option>
                                            <option value="NABTEB" data-src="<?= $basecdnurl ?>images/nabteb.png">nabteb</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-12 mt-3">
                                    <div class="mt-3">
                                        <input type="tel"  class="form-control serviceID" id="total" maxLength="1" data-id="custom-input" placeholder="Enter Number of PINs">
                                        <span class="badge bg-primary mt-1">Max 10 pins</span>
                                    </div>
                                </div>
                                <div class="col-12 mt-3">
                                    <div class="mt-3">
                                        <input type="number" class="form-control" id="amount" maxLength="11" data-id="custom-input" placeholder="Total Amount" disabled="">
                                    </div>
                                </div>
   <?php wp_nonce_field('vtu_max_epin_nonce', 'security'); ?>                               

                                <div class="d-flex flex-wrap gap-2">
                                    <button class="btn btn-primary w-100 proceed" type="button" id="buyEpin">Continue</button>
                                </div>
                            </form>
                        </div>

                    </div>
                </div>
                  
                    <!--end accordion-->
                </div> <!-- end col -->
            </div>



          

<script>
document.addEventListener('DOMContentLoaded', function () {
    var dataAttr = document.getElementById('data-attr');
    var totalInput = document.getElementById('total');
    var amountInput = document.getElementById('amount');

    function updateAmount() {
        var selectedProvider = dataAttr.value;
        var selectedPins = totalInput.value;

        var providersPrices = <?php echo json_encode($providers_prices); ?>;
        var price = providersPrices[selectedProvider]?.price || 0;

        var amount = selectedPins * price;
        amountInput.value = amount || '';
    }

    dataAttr.addEventListener('change', updateAmount);
    totalInput.addEventListener('input', updateAmount);
});
</script>


<footer class="un-bottom-navigation filter-blur">
    <div class="em_body_navigation border-0">
        <div class="item_link pointer mb-1" id="home">
            <a href="/" class="btn btn_navLink text-center" aria-label="btnNavigation">
               <i class="ri-home-5-line"></i>
                <span class="fs-11 d-block" id="spanName" style="position: relative; top: -5px;">Home</span>
            </a>
        </div> 
        
        <div class="item_link pointer mb-1 " id="">
            <a href="finance" class="btn btn_navLink text-center" aria-label="btnNavigation">
                <i class="ri-bar-chart-line"></i>
                <span class="fs-11 d-block" id="spanName" style="position: relative; top: -5px;">Finance</span>
            </a>
        </div>
        <div class="item_link pointer mb-1" id="loan">
            <a  class="btn btn_navLink text-center" aria-label="btnNavigation">
               <i class="ri-chat-1-line"></i>
                <span class="fs-11 d-block" id="spanName" style="position: relative; top: -5px;">Support</span>
            </a>
        </div>
        <div class="item_link pointer mb-1 " id="">
            <a href="transactions" class="btn btn_navLink text-center" aria-label="btnNavigation">
              <i class="ri-user-4-line"></i>
                 <span class="fs-11 d-block" id="spanName" style="position: relative; top: -5px;">History</span>
            </a>
        </div>
    </div>
</footer>
</div>
<!-- end main content-->

</div>
<!-- END layout-wrapper -->
 

<script>

document.addEventListener('DOMContentLoaded', function () {
    var isKeyboardVisible = false;

    function updateVisibility() {
        var hasFocus = Array.from(document.querySelectorAll('input, textarea'))
            .some(function (element) {
                return element === document.activeElement;
            });

        if (hasFocus !== isKeyboardVisible) {
            isKeyboardVisible = hasFocus;
            updateFooterVisibility();
        }
    }

    function updateFooterVisibility() {
        var footer = document.querySelector('.un-bottom-navigation');

        if (isKeyboardVisible) {
          
            footer.style.display = 'none';
        } else {
      
            footer.style.display = 'block';
        }
    }

    
    updateVisibility();

    window.addEventListener('resize', updateVisibility);
    window.addEventListener('scroll', updateVisibility);

    document.addEventListener('focus', updateVisibility, true);
    document.addEventListener('blur', updateVisibility, true);
});


</script>


<script>
new TomSelect('#data-attr',{
    readOnly: true,
    render: {
        option: function (data, escape) {
            return `<div><img class="me-2 avatar-xxs rounded" height="18" src="${data.src}">${data.text}</div>`;
        },
        item: function (item, escape) {
            return `<div><img class="me-2 avatar-xxs rounded" height="18" src="${item.src}">${item.text}</div>`;
        }
    }
});

$('.dropdown-menu').on('click', '.droptoggle', function() {
    var provider = $(this).data('provider');
    $('.nettoggle img').attr('src', 'static/images/bills/' + provider + '.png');
    $( '.nettoggle .provider' ).text( provider );
    //$( "#biller" ).text( provider );
    //$('.billerImg').attr('src', 'static/images/bills/' + provider + '.png');
    
   // $('.number').attr('placeholder', provider + ' phone number');
    $('.network').val(provider);
  } );


function copyTextToClipboard(text) {
  navigator.clipboard.writeText(text).then(function() {
    console.log('Copied to clipboard');
    toast('Copied to clipboard');
  }).catch(function(err) {
    console.error('Error copying to clipboard:', err);
    toast('Error copying to clipboard');
  });
}
function toast(message) {
    Toastify({
        text: message,
        duration: 3000,
        close: false,
        gravity: 'top',
        position: 'center',
        backgroundColor: 'linear-gradient(to right, #00b09b, #96c93d)',
        stopOnFocus: true,
    }).showToast()
}
</script>

<script src="https://cdn.jsdelivr.net/npm/sweetalert2@10"></script>
 