<?php

class pluginTemplateInitialize {
    private $table_name_initx;
    private $primary_color;

    function __construct() {
        global $wpdb;
        $this->table_name_initx = $wpdb->prefix . 'vtu_max_settings';
        $this->primary_color = '';
    }

    function retrieveData() {
        global $wpdb;
        $results = $wpdb->get_results("SELECT * FROM $this->table_name_initx");
        return $results;
    }

    function rewriteCustomCSS() {
        global $wpdb;
        $vtu_maxresults = $wpdb->get_results("SELECT * FROM $this->table_name_initx WHERE name = 'primary_color'");
        if ($vtu_maxresults) {
            $this->primary_color = $vtu_maxresults[0]->value;
            echo '<style>';
            echo '.btn-primary, .bg-primary, .x-p, .bg-customdash {';
            echo '  background-color: ' . $this->primary_color . ' !important;';
            echo '  border-color: ' . $this->primary_color . ' !important;';
            echo '}';
            echo '.active, .text-primary, .tp {';
            echo '  color: ' . $this->primary_color . ' !important;';
            echo '}';
            echo 'button:hover, .btn:hover, a:hover {';
            echo '  background-color: darken(' . $this->primary_color . ', 10%) !important;';
            echo '  border-color: darken(' . $this->primary_color . ', 10%) !important;';
            echo '}';
            echo '</style>';
            echo '<script>
        document.addEventListener("DOMContentLoaded", function() {
            var svgObject = document.getElementById("my-svg");
            var svgDocument = svgObject.contentDocument;
            var path = svgDocument.getElementById("dynamic-path");
            path.setAttribute("fill", "#00ff00");
        });
    </script> ';
        }
    }

    function getPrimaryColor() {
        return $this->primary_color;
    }
}

$vtu_maxplugin = new pluginTemplateInitialize();

$vtu_maxdata = $vtu_maxplugin->retrieveData();

$vtu_maxplugin->rewriteCustomCSS();

