<?php

class CustomThemeStyles {

    private static function remove_unwanted_styles_and_scripts() {
       
        $current_theme = wp_get_theme();

        $registered_styles = wp_styles();
        $registered_scripts = wp_scripts();

        foreach ($registered_styles->registered as $handle => $data) {
  
            if (strpos($data->src, $current_theme->get_stylesheet_directory_uri()) !== false) {
                 wp_deregister_style($handle);
            }
        }

        foreach ($registered_scripts->registered as $handle => $data) {
          
            if (strpos($data->src, $current_theme->get_stylesheet_directory_uri()) !== false || strpos($data->src, '/wp-content/plugins/') !== false) {
                 wp_deregister_script($handle);
            }
        }
    }

    
}

function remove_theme_default_fonts() {
    wp_dequeue_style('wp-fonts-local');
}

add_action('wp_print_styles', 'remove_theme_default_fonts', 100);


?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
    <meta charset="<?php bloginfo('charset'); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?php wp_head(); ?>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/remixicon/fonts/remixicon.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@mdi/font@5.x.x/css/materialdesignicons.min.css"/>
    <style>
        @import url('https://fonts.googleapis.com/css2?family=Mitr:wght@1;100;200;300;400;500;600;700;800;900;1000&display=swap');

    body, h1, h2, h3, h4, h5, h6, span, button {

        font-family: Mitr, sans-serif !important;

    }

        .iconbox-container {
            display: flex;
            justify-content: space-around;
            align-items: center;
            position: relative;
            top: 35px;
        }

        body {
    background: #f8f8f8;
}
.full-width-section {
  height: 200px;
  background-color: #ff6700;
  width: 100%;
}

.full-width-section-header {
  height: 20px;
  background-color: #ff6700;
  width: 100%;
}

.left-section, .right-section {
  flex-grow: 1;
  text-align: center;
  position: relative;
  right: 7%;
  top: -20px;
}

.arrow-icon {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  right: 10px; 
}

.left-section .arrow-icon {
  left: 78%; 
}

.badge-success {
  background-color: #28a745; 
  margin-left: 5px;
  margin-top: -50px;
}
.bottom-subsection {
  height: 70px;
  background-color: #fff;
  margin-top: -40px;
  margin-right: auto;
  margin-left: auto;
  width: 90%;
  border-radius: 6px;
 
}

.icon-container {
  background-color: #fff7ed; 
  border-radius: 28%; 
  padding: 10px; 
  margin-right: 5px;
  position: relative;
  left: -17px;
}

.text-container {
  flex-grow: 1; 
  text-align: left;
  
}

.button-container button {
  position: relative;
  left: 17px;
  background: #ff6700;
  border: 1px solid #ff6700;
}
.f-10 {
  font-size: 10px;
  font-weight: 400;
}

.f-17 {
  font-size: 18px;
  
}

.f-15 {
  font-size: 16px;
  
}
.f-21 {
  font-size: 21px;
  font-weight: 500;
}
.f-19 {
  font-size: 19px;
  font-weight: 700;
}

    .standalone-section {
      display: flex;
      justify-content: space-between;
      padding: 15px;
      padding-left: 30px;
      padding-right: 30px;
      align-item: center;
      border-radius: 7px;
      background-color: #fff;
      
    }

 .text-primary {
     color: #ff6700;
 } 
 .btn-white {
     background-color: #ffffff;
 }
 .ri-user-line {
     color: #ff6700;
 }
 
    </style>

</head>
<?php require_once "plugin.php"; ?>
<body <?php body_class(); ?>>