<?php
$current_user_id = get_current_user_id();

$vtu_max_header_template = plugin_dir_path( __FILE__ ) . 'template-vtu-max-header.php';
require $vtu_max_header_template;

$user_info = get_userdata($current_user_id);
$first_name = esc_html($user_info->first_name);
$last_name = esc_html($user_info->last_name);

$user_fullname = trim("{$first_name} {$last_name}");
$primary_color = $vtu_maxplugin->getPrimaryColor();
$wallet_balance = get_user_meta($current_user_id, 'wallet_balance', true);
$apiKey = get_user_meta($current_user_id, 'api_key', true);
$vtu_max_username = esc_html(get_user_meta($current_user_id, 'nickname', true));
$vtu_max_user_avatar = esc_url(get_avatar_url($current_user_id));
$user_email = esc_html($user_info->user_email);

$user_phone = esc_html(get_user_meta($current_user_id, 'phone', true));

$roles = $user_info->roles;
$user_role = !empty($roles) ? esc_html($roles[0]) : '';

if ($wallet_balance !== '') {
    $vtu_max_wallet_balance = number_format($wallet_balance, 2);
}


?>

 <style>
 body {
     max-height: 200px;
    overflow-y: auto;
 }
 .ml-10 {
     margin-left: 10px;
 }
 .mr-10 {
     margin-right: 10px;
 }
 .mb-4 {
     margin-bottom: -4px;
 }
 .profile-details {
    display: flex;
    padding: 12px;
    background: #f6f6f6;
    border-radius: 6px;
    margin-bottom: 10px;
}
.icon-left {
    position: absolute;
    right: 0;
    margin-right: 10px;
}
.text-content {
    white-space: nowrap;
    margin-left: 5%;
    position: relative;
    top: 3px;
}

 </style>     


<div class="main-content" style="position: relative; top: -250px;">
    <div class="page-content">
        <div class="container-fluid px-0 mt-3" >
            <div class="row">
                <div class="col-xxl-12">
                    <div class="card overflow-hidden profile-setting-img" style="width: 108.7%; border-radius: 0px; margin-left: -12px; position: relative; top: 120px;">
                       <div class="profile-user profile-basic" style="background-image: url('');background-size: cover;background-position: center;">
                            <div class="bg-overlay " style="background: <?= $primary_color ?>"></div>
                            <div class="p-0 ms-auto rounded-circle profile-photo-edit">
                                <input id="profile-foreground-img-file-input" type="file" class="profile-foreground-img-file-input d-none">
                            </div>
                        </div>

                        <div class="card-body" style="position: relative; top: -60px;">
                            <center>
                            <div class="position-relative mt-h6 d-inline-block">
                                <div class="position-absolute bottom-0 end-0">
                                    <label for="contact-image-input" class="mb-0" data-bs-toggle="tooltip" data-bs-placement="left" title="Select contact user Image">
                                        <div class="avatar-xs" style="position: relative; right: 350%; z-index: 9">
                                            <div class="avatar-title bg-light border rounded-circle text-muted cursor-pointer">
                                                <i class="ri-image-fill"></i>
                                            </div>
                                        </div>
                                    </label>
                                   <form id="image-upload-form" method="POST" enctype="multipart/form-data">
                                        <input type="hidden" name="updatePhoto">
                                        <input class="form-control d-none" id="contact-image-input" name="image" type="file" accept="image/png, image/gif, image/jpeg">
                                    </form>
                                </div>
                                <div class="avatar-lg" style="position: relative; right: 120%;">
                                    <div class="avatar-title bg-light rounded-circle">
                                        <img src="<?= $vtu_max_user_avatar ?>" id="contact-img" class="avatar-md rounded-circle" />
                                    </div>
                                </div>
                            </div>
                            </center> 
                            <div class="row justify-content-between gy-4">
                                <div class="border border-dashed p-3 rounded-3">
                                    <div class="d-flex align-items-center mb-4 pb-1">
                                        <div class="flex-grow-1">
                                            <h6 class="card-title mb-2"><?= $user_fullname ?></h6>
                                            <p class="card-text mb-0 fs-11"><?= $user_email ?></p>
                                            <p class="card-text mb-0 fs-11"><?= $user_phone ?></p>
                                            <p class="card-text mb-0 text-success fs-11"></p>
                                        </div>
                                        <div class="flex-shrink-0">
                                            <a  class="badge bg-light text-success"><?= $user_role ?></a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                                       
                         <a  data-bs-toggle="offcanvas" data-bs-target="#personalInfo" ><div class="profile-details">
                             <div class="icon-right"><i class="ri-user-4-line"></i></div>
                             <div class="text-content">Personal Info</div>
                             <div class="icon-left"><i class="ri-arrow-right-s-line"></i></div>
                         </div> </a> 
                         
                        <a  data-bs-toggle="offcanvas" data-bs-target="#devApi" > 
                          <div class="profile-details">
                             <div class="icon-right"><i class="ri-message-line"></i></div>
                             <div class="text-content">Developers API</div>
                             <div class="icon-left"><i class="ri-arrow-right-s-line"></i></div>
                         </div>  
                         </a>
                         
                         <a  data-bs-toggle="offcanvas" data-bs-target="#updatePassword" >
                          <div class="profile-details">
                             <div class="icon-right"><i class="ri-lock-line"></i></div>
                             <div class="text-content">Update Password</div>
                             <div class="icon-left"><i class="ri-arrow-right-s-line"></i></div>
                         </div>  
                         </a>
                         
                         <a  data-bs-toggle="offcanvas" data-bs-target="#updatePin" >
                          <div class="profile-details">
                             <div class="icon-right"><i class="ri-key-line"></i></div>
                             <div class="text-content">Update PIN</div>
                             <div class="icon-left"><i class="ri-arrow-right-s-line"></i></div>
                         </div>  
                         </a>
                         
                         <a href="auth/logout" >
                          <div class="profile-details">
                             <div class="icon-right"><i class="ri-arrow-up-line"></i></div>
                             <div class="text-content">Logout</div>
                             <div class="icon-left"><i class="ri-arrow-right-s-line"></i></div>
                         </div>  
                  
            </a>
          <div class="boxdes"> </div>
    <!-- Personal offcanvas --> 
    <div class="offcanvas offcanvas-bottom h-50 rounded-topp rounded-4" tabindex="-1" id="personalInfo" aria-labelledby="offcanvasBottomLabel">
        <div class="offcanvas-header pt-3 pb-2">
            <h6 id="offcanvasBottomLabel">Update Personal Info</h6> 
            <button type="button" class="btn-close text-reset fs-14" data-bs-dismiss="offcanvas" aria-label="Close"></button>
        </div>
        <div class="offcanvas-body p-0">
              
               <form class="row p-2" id="updateProfileInfo">
            <div class="col-12 mt-0">
                <div class="mt-3">
                    <input type="text" class="form-control serviceID" data-id="custom-input" value="<?= $first_name ?>"id="fname" placeholder="Enter your First Name">
                </div>
            </div>
            <div class="col-12 mt-0">
                <div class="mt-3">
                    <input type="text" class="form-control serviceID" data-id="custom-input" id="lname" value="<?= $last_name ?>" placeholder="Enter your Last Name">
                </div>
            </div>
            <div class="col-12 mt-0">
                <div class="mt-3">
                    <input type="email" class="form-control serviceID" data-id="custom-input" id="email" value="<?= $user_email ?>" placeholder="Enter your email">
                </div>
            </div>
            <div class="col-12 mt-0">
                <div class="mt-3">
                    <input type="number" class="form-control phone" id="phone" maxLength="11" data-id="custom-input" value="<?= $user_phone ?>" placeholder="Phone Number">
                </div>
            </div>
           <?php wp_nonce_field('vtu_max_update_profile_nonce', 'security'); ?>
            <div class="d-flex flex-wrap gap-0 mt-2">
                <button class="btn btn-primary rounded-pill w-100 proceed" type="button" style="width: 50px" id="updateMaxProfile">Update Info</button>
            </div>
          </form>
   
           
       </div>
    </div>
    
  
   
   
    <!-- Api offcanvas --> 
    <div class="offcanvas offcanvas-bottom h-50 rounded-topp rounded-4" tabindex="-1" id="devApi" aria-labelledby="offcanvasBottomLabel">
        <div class="offcanvas-header pt-3 pb-2">
            <h6 id="offcanvasBottomLabel">Developer's API</h6> 
            <button type="button" class="btn-close text-reset fs-14" data-bs-dismiss="offcanvas" aria-label="Close"></button>
        </div>
        <div class="offcanvas-body p-0">
              <div class="p-2">
               <p class="fs-11 p-0">Kickstart bill processing and analysis, authenticate the identity of account holders, and set up comprehensive transactional wallets tailored for your business needs</p>
                        
                          
                          
                    <div class="col-md-6 mx-auto mt-5">
      <div class="input-group mb-3">
        <input id="content" type="text" class="form-control" value="<?= $apiKey ?>" readonly>
        <button id="copyButton" class="btn btn-primary btn-rounded" type="button">Copy</button>
      </div>
    </div>    

                   
                   
                        <a href="#" id="reset" class="btn btn-primary mb-2">Reset Key</a>
                        <a href="api-documentation/" class="btn btn-primary  mb-2">Documentation Guide</a>
                  
                </div><!-- end card body -->
            </div>
              
   
           
       </div>
    </div>
    
  
   
   
   
    <!-- Password offcanvas --> 
    <div class="offcanvas offcanvas-bottom h-50 rounded-topp rounded-4" tabindex="-1" id="updatePassword" aria-labelledby="offcanvasBottomLabel">
        <div class="offcanvas-header pt-3 pb-2">
            <h6 id="offcanvasBottomLabel">Update Password</h6> 
            <button type="button" class="btn-close text-reset fs-14" data-bs-dismiss="offcanvas" aria-label="Close"></button>
        </div>
        <div class="offcanvas-body p-0">
              <p class="fs-10 p-3"> Strong password is recommended to ensure account safety, dont use week password</p>
                <form class="row p-2" id="updatePin">
            <div class="col-12 mt-0">
                <div class="mt-0">
                    <input type="text" class="form-control serviceID" data-id="custom-input" id="oldpassword" placeholder="Enter old password">
                </div>
            </div>
            <div class="col-12 mt-0">
                <div class="mt-3">
                    <input type="text" class="form-control serviceID" data-id="custom-input" id="newpassword" placeholder="Enter New password">
                </div>
            </div>
            <div class="col-12 mt-0">
                <div class="mt-3">
                    <input type="text" class="form-control serviceID" data-id="custom-input" id="cnewpassword" placeholder="Confirm New password">
                </div>
            </div>
            <div class="col-12 mt-0">
                <?php wp_nonce_field('vtu_max_update_password_nonce', 'security'); ?>
         
            <div class="d-flex flex-wrap gap-0 mt-2">
                <button class="btn btn-primary rounded-pill w-100 proceed" type="button" style="width: 50px; position: relative; " id="updateMaxPassword">Update Password</button>
            </div>
          </form>
   
   
           
       </div>
    </div>
    
  

   
   
    <!-- PIN offcanvas --> 
    <div class="offcanvas offcanvas-bottom h-50 rounded-topp rounded-4" tabindex="-1" id="updatePin" aria-labelledby="offcanvasBottomLabel">
        <div class="offcanvas-header pt-3 pb-2">
            <h6 id="offcanvasBottomLabel">Update Transaction PIN</h6> 
            <button type="button" class="btn-close text-reset fs-14" data-bs-dismiss="offcanvas" aria-label="Close"></button>
        </div>
        <div class="offcanvas-body p-0">
              <p class="fs-10 p-3"> if you haven't setup PIN before use 1234 as old PIN, this is the default PIN setup upon account creation</p>
               <form class="row p-2" id="updatePin">
            <div class="col-12 mt-0">
                <div class="mt-0">
                    <input type="text" class="form-control serviceID" data-id="custom-input" id="oldpin" placeholder="Enter old PIN">
                </div>
            </div>
            <div class="col-12 mt-0">
                <div class="mt-3">
                    <input type="text" class="form-control serviceID" data-id="custom-input" id="newpin" placeholder="Enter New PIN">
                </div>
            </div>
            <div class="col-12 mt-0">
                <div class="mt-3">
                    <input type="text" class="form-control serviceID" data-id="custom-input" id="cnewpin" placeholder="Confirm New PIN">
                </div>
            </div>
            <div class="col-12 mt-0">
               
         
            <div class="d-flex flex-wrap gap-0 mt-2">
                <button class="btn btn-primary rounded-pill w-100 proceed" type="button" style="width: 50px; position: relative; " id="verNINbtn">Update Info</button>
            </div>
          </form>
   
           
       </div>
    </div>
    
  
      </div>
    </div>

<!-- App botton Menu -->

<footer class="un-bottom-navigation filter-blur">
    <div class="em_body_navigation border-0">
        <div class="item_link pointer mb-1" id="home">
            <a href="/" class="btn btn_navLink text-center" aria-label="btnNavigation">
               <i class="ri-home-5-line"></i>
                <span class="fs-11 d-block" id="spanName" style="position: relative; top: -5px;">Home</span>
            </a>
        </div> 
        
        <div class="item_link pointer mb-1 " id="finance">
            <a href="finance" class="btn btn_navLink text-center" aria-label="btnNavigation">
                <i class="ri-bar-chart-line"></i>
                <span class="fs-11 d-block" id="spanName" style="position: relative; top: -5px;">Finance</span>
            </a>
        </div>
        <div class="item_link pointer mb-1" id="support">
            <a href="support" class="btn btn_navLink text-center" aria-label="btnNavigation">
               <i class="ri-chat-1-line"></i>
                <span class="fs-11 d-block" id="spanName" style="position: relative; top: -5px;">Support</span>
            </a>
        </div>
        <div class="item_link pointer mb-1 " id="transactions">
            <a href="transactions" class="btn btn_navLink text-center" aria-label="btnNavigation">
              <i class="ri-user-4-line"></i>
                 <span class="fs-11 d-block" id="spanName" style="position: relative; top: -5px;">History</span>
            </a>
        </div>
    </div>
</footer>
</div>
<script>
document.getElementById('copyButton').addEventListener('click', function() {
  var content = document.getElementById('content');
  content.select();
  document.execCommand('copy');
  Toastify({
    text: 'API key copied successfully',
    duration: 3000,
    gravity: 'top',
    position: 'center',
    backgroundColor: 'linear-gradient(to right, #00b09b, #96c93d)'
  }).showToast();
});
</script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js" integrity=""></script>
</div>
<!-- ** App bottom Menu ** -->
 
</div>
<!-- end main content-->

</div>
<!-- END layout-wrapper -->
 

        </div>
    </div>