<?php

class Vtu_Max_Public {
    
    private $plugin_name;
    private $version;
    private $basecdnurl;
    
    public function __construct( $plugin_name, $version ) {
        $this->plugin_name = $plugin_name;
        $this->version = $version;
        $this->basecdnurl = base64_decode('aHR0cHM6Ly9jZG4udnR1bWF4LmNvbS8=');
    }
    
    public function enqueue_styles() {
        wp_enqueue_style( '1', $this->basecdnurl . 'css/vtu-max-style.min.css', array(), $this->version, 'all' );
        wp_enqueue_style( '2', $this->basecdnurl . 'css/vtu-max-style.css', array(), $this->version, 'all' );
        wp_enqueue_style( '3', $this->basecdnurl . 'css/vtu-max-app.min.css', array(), $this->version, 'all' );
        wp_enqueue_style( '4', $this->basecdnurl . 'css/vtu-max-bootstrap.min.css', array(), $this->version, 'all' );
        wp_enqueue_style( '5', $this->basecdnurl . 'css/vtu-max.min.css', array(), $this->version, 'all' );
        wp_enqueue_style( '6', $this->basecdnurl . 'css/vtu-max-toastify.css', array(), $this->version, 'all' );
        wp_enqueue_style( '9', $this->basecdnurl . 'web/max.css', array(), $this->version, 'all' );
        wp_enqueue_style( '7', $this->basecdnurl . 'libs/tom-select/css/tom-select.bootstrap5.min.css', array(), $this->version, 'all' );
        wp_enqueue_style('sweet-alert-2', $this->basecdnurl . 'dist/sweetalert2.min.css', array(), '10', 'all');
    }
    
    public function enqueue_scripts() {
        wp_enqueue_script('jquery');
        wp_enqueue_script('vtu-max-js-1', $this->basecdnurl . 'libs/tom-select/js/tom-select.complete.min.js', array('jquery'), $this->version, false);
        wp_enqueue_script('vtu-max-js-2', $this->basecdnurl . 'js/vtu-max-plugins.js', array('jquery'), $this->version, false);
        wp_enqueue_script('vtu-max-js-3', $this->basecdnurl . 'js/vtu-max-toastify.js', array('jquery'), $this->version, false);
        wp_enqueue_script('vtu-max-js-4', $this->basecdnurl . 'js/vtu-max-v1.js', array('jquery'), $this->version, false);
        wp_enqueue_script('vtu-max-js-5', $this->basecdnurl . 'js/pages/vtu-max-modal.init.js', array('jquery'), $this->version, false);
        wp_enqueue_script('vtu-max-js-6', $this->basecdnurl . 'js/pages/vtu-max-sweetalerts.init.js', array('jquery'), $this->version, false);
        wp_enqueue_script('vtu-max-js-7', $this->basecdnurl . 'js/pages/vtu-max-widgets.init.js', array('jquery'), $this->version, false);
        wp_enqueue_script('vtu-max-js-8', $this->basecdnurl . 'js/pages/plugins/vtu-max-icon.js', array('jquery'), $this->version, false);
        wp_enqueue_script('vtu-max-js-10', 'https://cdn.jsdelivr.net/npm/sweetalert2@10', array('jquery'), $this->version, false);
        wp_enqueue_script('vtu-max-scripts', plugin_dir_url(__FILE__) . 'js/composer.js', array('jquery'), $this->version, false);
        $nonces = array(
            'login'    => wp_create_nonce('vtu_max_auth_login_nonce'),
            'register' => wp_create_nonce('vtu_max_auth_register_nonce'),
            'ppu' => wp_create_nonce('vtu_max_ppu_nonce'),
            'profile' => wp_create_nonce('vtu_max_profile_nonce'),
            'airtime' => wp_create_nonce('vtu_max_airtime_nonce'),
            'data' => wp_create_nonce('vtu_max_data_nonce'),
            'tv' => wp_create_nonce('vtu_max_tv_nonce'),
            'electricity' => wp_create_nonce('vtu_max_electricity_nonce'),
            'datapin' => wp_create_nonce('vtu_max_datapin_nonce'),
            'recharge' => wp_create_nonce('vtu_max_recharge_nonce'), 
            'transfer' => wp_create_nonce('vtu_max_transfer_nonce'),
            'epin' => wp_create_nonce('vtu_max_epin_nonce'),
            'betting' => wp_create_nonce('vtu_max_betting_nonce'), 
            'bulksms' => wp_create_nonce('vtu_max_bulksms_nonce'),
            'updateProfile' => wp_create_nonce('vtu_max_update_profile_nonce'),
             'updatePassword' => wp_create_nonce('vtu_max_update_password_nonce'),
              'updatePin' => wp_create_nonce('vtu_max_update_pin_nonce'),
               'vNIN' => wp_create_nonce('vtu_max_verify_NIN'),
            'vBVN' => wp_create_nonce('vtu_max_verify_BVN'),
        );
        wp_localize_script('vtu-max-scripts', 'ajax_object', array(
            'ajax_url' => admin_url('admin-ajax.php'),
            'security' => $nonces,
        ));
    }   
}